Skip to main content
GET
/
vpn
/
instances
List all VPN instances
curl --request GET \
  --url https://v1.api.altostrat.io/vpn/instances \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/vpn/instances"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/vpn/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "name": "Primary Production VPN",
    "region": "sjc",
    "hostname": "my-vpn-gateway.vpn.altostr.at",
    "configured": true,
    "rsa_ready": true,
    "diffie_hellman_ready": true,
    "server_ready": true,
    "status": [
      "peer-created"
    ],
    "pushed_routes": [
      "10.0.0.0/8"
    ],
    "public_dns": [
      "9.9.9.9"
    ],
    "split_dns": [
      "192.168.1.1"
    ],
    "domains": [
      "internal.corp"
    ],
    "dns_custom": [
      {
        "name": "fileserver.internal.corp",
        "type": "A",
        "value": "192.168.1.10"
      }
    ],
    "firewall": [
      {
        "name": "Allow ICMP",
        "protocol": "icmp",
        "port": "1-65535",
        "source": "0.0.0.0/0",
        "destination": "0.0.0.0/0"
      }
    ],
    "created_at": "2025-10-29T12:30:31Z"
  }
]
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}

Authorizations

Authorization
string
header
required

Enter your bearer token in the format: Bearer {token}

Response

A list of VPN instances.

id
string<uuid>

The unique identifier for the VPN instance.

Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"

name
string

A human-readable name for the instance.

Example:

"Primary Production VPN"

region
string

The geographical region where the instance is deployed.

Example:

"sjc"

hostname
string

The fully qualified domain name (FQDN) of the VPN instance.

Example:

"my-vpn-gateway.vpn.altostr.at"

configured
boolean

Indicates if the initial server setup has completed.

Example:

true

rsa_ready
boolean

Indicates if the RSA certificates have been generated.

Example:

true

diffie_hellman_ready
boolean

Indicates if the Diffie-Hellman parameters have been generated.

Example:

true

server_ready
boolean

A general indicator of the server's readiness.

Example:

true

status
string[]

An array of strings indicating any ongoing configuration changes. An empty array means the configuration is stable.

Example:
["peer-created"]
pushed_routes
string[]

A list of network routes (in CIDR notation) that will be pushed to connecting clients.

public_dns
string<ipv4>[]

A list of public DNS servers to be used by clients.

split_dns
string<ipv4>[]

A list of private DNS servers for specific domains (split-tunnel DNS).

domains
string[]

A list of domain names that should be resolved using the split_dns servers.

dns_custom
object[]

A list of custom DNS records to be served by the instance's DNS proxy.

firewall
object[]

A list of firewall rules applied to the instance.

created_at
string<date-time>

The timestamp when the instance was created.

Example:

"2025-10-29T12:30:31Z"